Package org.springframework.http.codec.protobuf

# Class ProtobufCodecSupport

java.lang.Object
org.springframework.http.codec.protobuf.ProtobufCodecSupport

Direct Known Subclasses:
  `ProtobufDecoder`, `ProtobufEncoder`

public abstract class ProtobufCodecSupport extends Object
Base class providing support methods for Protobuf encoding and decoding.

Since:
  5.1
Author:
  Sebastien Deleuze

## Constructor Summary

Constructors
Constructor
Description
`ProtobufCodecSupport()`

## Method Summary

Modifier and Type
Method
Description
`protected List<org.springframework.util.MimeType>`
`getMimeTypes()`
`protected boolean`
`supportsMimeType(org.springframework.util.MimeType mimeType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProtobufCodecSupport

public ProtobufCodecSupport()

## Method Details

### supportsMimeType

protected boolean supportsMimeType(@Nullable org.springframework.util.MimeType mimeType)

### getMimeTypes

protected List<org.springframework.util.MimeType> getMimeTypes()